    <style include="cr-shared-style settings-page-styles cr-hidden-style iron-flex settings-shared">
      :host([is-subpage-animating]) {
        /* Prevent an unwanted horizontal scrollbar when transitioning back from
         * a sub-page. */
        overflow: hidden;
      }

      :host([advanced-toggling-in-progress_]) {
        -webkit-tap-highlight-color: transparent;
      }

      #advancedToggle {
        --ink-color: currentColor;
        align-items: center;
        background: transparent;
        border: none;
        box-shadow: none;
        color: currentColor;
        display: flex;
        font-weight: 400;
        margin-bottom: 3px;
        margin-top: 12px;  /* Part of a 48px spacer (33px + 12px + 3px). */
        min-height: 32px;
        padding: 0 12px;
      }

      :host-context(.focus-outline-visible) #advancedToggle:focus {
        outline: auto 5px -webkit-focus-ring-color;
      }

      #osSettingsBanner {
        background-color: var(--cr-card-background-color);
        border-radius: var(--cr-card-border-radius);
        box-shadow: var(--cr-card-shadow);
        margin-top: 21px;
      }

      #toggleContainer {
        align-items: center;
        color: var(--cr-primary-text-color);
        display: flex;
        font: inherit;
        justify-content: center;
        margin-bottom: 0;
        margin-top: 0;
        padding-bottom: 0;
        padding-top: 0;
      }

      #toggleSpacer {
        padding-top: 33px;  /* Part of a 48px spacer (33px + 12px + 3px). */
      }

      iron-icon {
        margin-inline-start: 16px;
      }
    </style>
    <template is="dom-if" if="[[showBasicPage_(
        currentRoute_, inSearchMode, hasExpandedSection_)]]">
      <div id="basicPage">
        <template is="dom-if" if="[[showResetProfileBanner_]]" restamp>
          <settings-reset-profile-banner on-close="onResetProfileBannerClosed_">
          </settings-reset-profile-banner>
        </template>
<if expr="chromeos">
        <template is="dom-if" if="[[showOSSettingsBanner_]]">
          <div id="osSettingsBanner" class="cr-row first">
            <div class="flex cr-padded-text"
                on-click="onOSSettingsBannerClick_">
              $i18nRaw{osSettingsBannerText}
            </div>
            <cr-icon-button class="icon-clear"
                title="$i18n{close}"
                on-click="onOSSettingsBannerClosed_">
            </cr-icon-button>
          </div>
        </template>
</if>
        <template is="dom-if" if="[[showPage_(pageVisibility.people)]]" restamp>
          <settings-section page-title="$i18n{peoplePageTitle}"
              section="people">
            <settings-people-page prefs="{{prefs}}"
                page-visibility="[[pageVisibility]]">
            </settings-people-page>
          </settings-section>
        </template>
        <template is="dom-if" if="[[showPage_(pageVisibility.autofill)]]"
            restamp>
          <settings-section page-title="$i18n{autofillPageTitle}"
              section="autofill">
            <settings-autofill-page prefs="{{prefs}}"></settings-autofill-page>
          </settings-section>
        </template>
        <template is="dom-if" if="[[showPage_(pageVisibility.safetyCheck)]]"
            restamp>
          <settings-section page-title="$i18n{safetyCheckSectionTitle}"
              section="safetyCheck"
              id="safetyCheckSettingsSection">
            <settings-safety-check-page prefs="{{prefs}}">
            </settings-safety-check-page>
          </settings-section>
        </template>
        <template is="dom-if" if="[[showPage_(pageVisibility.privacy)]]"
            restamp>
          <settings-section page-title="$i18n{privacyPageTitle}"
              section="privacy">
            <settings-privacy-page prefs="{{prefs}}"
                page-visibility="[[pageVisibility.privacy]]">
            </settings-privacy-page>
          </settings-section>
        </template>
        <template is="dom-if" if="[[showPage_(pageVisibility.appearance)]]"
            restamp>
          <settings-section page-title="$i18n{appearancePageTitle}"
              section="appearance">
            <settings-appearance-page prefs="{{prefs}}"
                page-visibility="[[pageVisibility.appearance]]">
            </settings-appearance-page>
          </settings-section>
        </template>
        <settings-section page-title="$i18n{searchPageTitle}"
            section="search">
          <settings-search-page prefs="{{prefs}}"></settings-search-page>
        </settings-section>
<if expr="not chromeos and not lacros">
        <template is="dom-if" if="[[showPage_(pageVisibility.defaultBrowser)]]"
            restamp>
          <settings-section page-title="$i18n{defaultBrowser}"
              section="defaultBrowser">
            <settings-default-browser-page></settings-default-browser-page>
          </settings-section>
        </template>
</if>
        <template is="dom-if" if="[[showPage_(pageVisibility.onStartup)]]"
            restamp>
          <settings-section page-title="$i18n{onStartup}" section="onStartup">
            <settings-on-startup-page prefs="{{prefs}}">
            </settings-on-startup-page>
          </settings-section>
        </template>
      </div>
    </template>

    <template is="dom-if" if="[[showAdvancedSettings_(pageVisibility.advancedSettings)]]">
      <template is="dom-if" if="[[showAdvancedToggle_(
          inSearchMode, hasExpandedSection_)]]">
        <div id="toggleSpacer"></div>
        <h2 id="toggleContainer">
          <cr-button id="advancedToggle" on-click="advancedToggleClicked_"
              aria-expanded$="[[boolToString_(advancedToggleExpanded)]]">
            <span>$i18n{advancedPageTitle}</span>
            <iron-icon icon="[[getArrowIcon_(advancedToggleExpanded)]]">
            </iron-icon>
          </cr-button>
        </h2>
      </template>

      <settings-idle-load id="advancedPageTemplate" url="/lazy_load.html">
        <template>
          <div id="advancedPage" hidden$="[[!showAdvancedPage_(
              currentRoute_, inSearchMode, hasExpandedSection_,
              advancedToggleExpanded)]]">
            <template is="dom-if" if="[[showPage_(pageVisibility.languages)]]"
                restamp>
              <settings-section page-title="$i18n{languagesPageTitle}"
                  section="languages">
                <settings-languages-page prefs="{{prefs}}">
                </settings-languages-page>
              </settings-section>
            </template>
            <template is="dom-if" if="[[showPage_(pageVisibility.downloads)]]"
                restamp>
              <settings-section page-title="$i18n{downloadsPageTitle}"
                  section="downloads">
                <settings-downloads-page prefs="{{prefs}}">
                </settings-downloads-page>
              </settings-section>
            </template>
            <template is="dom-if" if="[[showPage_(pageVisibility.a11y)]]"
                restamp>
              <settings-section page-title="$i18n{a11yPageTitle}"
                  section="a11y">
                <settings-a11y-page prefs="{{prefs}}"></settings-a11y-page>
              </settings-section>
            </template>
<if expr="not chromeos and not lacros">
            <settings-section page-title="$i18n{systemPageTitle}"
                section="system">
              <settings-system-page prefs="{{prefs}}"></settings-system-page>
            </settings-section>
</if>
            <template is="dom-if" if="[[showPage_(pageVisibility.reset)]]"
                restamp>
              <settings-section page-title="$i18n{resetPageTitle}"
                  section="reset">
                <settings-reset-page prefs="{{prefs}}"></settings-reset-page>
              </settings-section>
            </template>
          </div>
        </template>
      </settings-idle-load>
    </template>
